# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.jadmin.menu import register_menu

quotation_menu_item = items.MenuItem(
    _('Quotation'),
    reverse('admin:app_list', kwargs={'app_label': 'quotation'}),
    children=[
        items.MenuItem(
            _('Customer Quotation'), '',
            children=[
                items.MenuItem(_('Add Quotation'), reverse('admin:quotation_quotation_customer_add',)),
                items.MenuItem(_('Quotation List'), reverse('admin:quotation_quotation_customer_changelist',) ),
            ]
        ),
        items.MenuItem(
            _('Supplier Quotation'), '',
            children=[
                items.MenuItem(_('Add Quotation'), reverse('admin:quotation_quotation_supplier_add',)),
                items.MenuItem(_('Quotation List'), reverse('admin:quotation_quotation_supplier_changelist',) ),
            ]
        ),
    ]
)

register_menu(quotation_menu_item, 'jmb.quotation')
