# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

quotation_menu_item = items.MenuItem(
    _('Quotation'),
    reverse('admin:app_list', kwargs={'app_label': 'quotation'}),
    children=[
        items.MenuItem(
            _('Quotation Project'),
            '',
            children=[
                items.MenuItem(_('Add Quotation Project'),
                               reverse('admin:quotation_quotationproject_add',)),
                items.MenuItem(_('List Quotation Project'),
                               reverse('admin:quotation_quotationproject_changelist',)),
                items.MenuItem(_('Add Supplier Quotation Project'),
                               reverse('admin:quotation_supplierquotationproject_add',)),
                items.MenuItem(_('List Supplier Quotation Project'),
                               reverse('admin:quotation_supplierquotationproject_changelist',)),
                items.MenuItem(_('Add Customer Quotation Project'),
                               reverse(
                    'admin:quotation_customerquotationproject_add',)),
                items.MenuItem(_('List Customer Quotation Project'),
                               reverse('admin:quotation_customerquotationproject_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Quotation'),
            '',
            children=[
                items.MenuItem(_('Add Quotation'), reverse('admin:quotation_quotation_add',)),
                items.MenuItem(
                    _('List Quotation'), reverse('admin:quotation_quotation_changelist',)),
                items.MenuItem(_('Add Supplier Quotation'), reverse(
                    'admin:quotation_supplierquotation_add',)),
                items.MenuItem(_('List Supplier Quotation'), reverse(
                    'admin:quotation_supplierquotation_changelist',)),
                items.MenuItem(_('Add Customer Quotation'), reverse(
                    'admin:quotation_customerquotation_add',)),
                items.MenuItem(_('List Customer Quotation'), reverse(
                    'admin:quotation_customerquotation_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Quotation Row'),
            '',
            children=[
                items.MenuItem(
                    _('Add Quotation Row'), reverse('admin:quotation_quotationrow_add',)),
                items.MenuItem(_('List Quotation Row'), reverse(
                    'admin:quotation_quotationrow_changelist',)),
                items.MenuItem(_('Add Supplier Quotation Row'), reverse(
                    'admin:quotation_supplierquotationrow_add',)),
                items.MenuItem(_('List Supplier Quotation Row'), reverse(
                    'admin:quotation_supplierquotationrow_changelist',)),
                items.MenuItem(_('Add Customer Quotation Row'), reverse(
                    'admin:quotation_customerquotationrow_add',)),
                items.MenuItem(_('List Customer Quotation Row'), reverse(
                    'admin:quotation_customerquotationrow_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Vat Row'),
            '',
            children=[
                items.MenuItem(_('Add Vat Row'), reverse('admin:quotation_vatrow_add',)),
                items.MenuItem(_('List Vat Row'), reverse('admin:quotation_vatrow_changelist',)),
                items.MenuItem(
                    _('Add Supplier Vat Row'), reverse('admin:quotation_suppliervatrow_add',)),
                items.MenuItem(_('List Supplier Vat Row'), reverse(
                    'admin:quotation_suppliervatrow_changelist',)),
                items.MenuItem(
                    _('Add Customer Vat Row'), reverse('admin:quotation_customervatrow_add',)),
                items.MenuItem(_('List Customer Vat Row'), reverse(
                    'admin:quotation_customervatrow_changelist',)),
            ]
        ),
    ]
)

register_menu(quotation_menu_item, 'jmb.quotation')
