# -*- coding: utf-8 -*-
from django.db import models


# Quotation proxy managers
class SupplierQuotationProjectManager(models.Manager):
    def get_queryset(self):
        return super(SupplierQuotationProjectManager, self).get_queryset(
            organization__organization_type__category="sup"
        )


class CustomerQuotationProjectManager(models.Manager):
    def get_queryset(self):
        return super(CustomerQuotationProjectManager, self).get_queryset(
            organization__organization_type__category="cus"
        )


# Quotation proxy managers
class SupplierQuotationManager(models.Manager):
    def get_queryset(self):
        return super(SupplierQuotationManager, self).get_queryset().filter(
            store_cause__category='sup'
        )


class CustomerQuotationManager(models.Manager):
    def get_queryset(self):
        return super(CustomerQuotationManager, self).get_queryset().filter(
            store_cause__category='cus'
        )


# QuotationRow proxy managers
class SupplierQuotationRowManager(models.Manager):
    def get_queryset(self):
        return super(SupplierQuotationRowManager, self).get_queryset().filter(
            store_cause__category='cus'
        )


class CustomerQuotationRowManager(models.Manager):
    def get_queryset(self):
        return super(CustomerQuotationRowManager, self).get_queryset().filter(
            store_cause__category='cus'
        )


# VatRow proxy managers
class SupplierVatRowManager(models.Manager):
    def get_queryset(self):
        return super(SupplierVatRowManager, self).get_queryset().filter(
            quotation__store_cause__category='sup'
        )


class CustomerVatRowManager(models.Manager):
    def get_queryset(self):
        return super(CustomerVatRowManager, self).get_queryset().filter(
            quotation__store_cause__category='cus'
        )
